This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 840240 - virt-manager window immovable when showing a VNC guest display
virt-manager window immovable when showing a VNC guest display
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 13:35 EDT by Michal Schmidt
Modified: 2012-08-09 19:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 19:02:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-07-14 13:35:00 EDT
Description of problem:
virt-manager's window sometimes becomes immovable. The necessary conditions to trigger the bug are:
 - virt-manager is showing the guest's display, not the Details.
 - the guest is configured to use VNC display, not Spice.

Other symptoms when the bug appears are:
 - Right-clicking on title bars of windows (ANY windows, not just
   virt-manager's) has no effect. It is supposed to pop up a menu.
 - Sometimes, when I expect my keyboard input to go to other windows, it goes
   to the virtual guest instead.
 - If using Gnome Shell: Moving the mouse pointer to the top left corner does
   not trigger a switch to the overview.
(Maybe virt-manager holds some kind of an X grab?)

The bug is not specific to Gnome Shell. It happens under LXDE too.

It is a regression in virt-manager-0.9.3-1.fc17. The bug does not occur with 0.9.1-4.fc17.

Version-Release number of selected component (if applicable):
virt-manager-0.9.3-1.fc17

How reproducible:
very often, but not 100% reproducible

Steps to Reproduce:
1. Have a virtual guest configured for VNC display.
2. Run the guest and interact with it via virt-manager.
3. Try to move virt-manager's window by dragging its titlebar with the mouse.
  
Actual results:
Sometimes the window does not move. If it works for you, try it a few more times.

Expected results:
The window should move reliably.
Comment 1 Cole Robinson 2012-07-15 10:58:04 EDT
Urgh, thanks for the report. I reverted the offending commit upstream:

http://git.fedorahosted.org/git?p=virt-manager.git;a=commit;h=a96a3245fb556dc02ff471c223c7728ea76b6fab
Comment 2 Michal Schmidt 2012-07-16 03:24:45 EDT
(In reply to comment #1)
> http://git.fedorahosted.org/git?p=virt-manager.git;a=commit;
> h=a96a3245fb556dc02ff471c223c7728ea76b6fab

I confirm that applying this patch fixes the bug for me. Thanks.
Comment 3 Charles R. Anderson 2012-07-25 14:46:24 EDT
Also affects F16.
Comment 4 Fedora Update System 2012-07-29 17:22:33 EDT
virt-manager-0.9.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/virt-manager-0.9.4-1.fc17
Comment 5 Fedora Update System 2012-07-29 17:23:36 EDT
virt-manager-0.9.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/virt-manager-0.9.4-1.fc16
Comment 6 Fedora Update System 2012-07-30 01:01:57 EDT
Package virt-manager-0.9.4-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.9.4-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11272/virt-manager-0.9.4-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-08-09 19:02:16 EDT
virt-manager-0.9.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-08-09 19:23:26 EDT
virt-manager-0.9.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.